using System.Collections.Generic;
using Fort23.UTool;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface
{
    public interface ILifeCycle
    {
        T This<T>();
        T GetILifetCycleHitPoint<T>(string hitPoinName, bool isStandType, bool isIgnoreHind)where T : ILifetCycleHitPoint;
        T GetMainHotPoin<T>(bool isIgnoreHind)where T : ILifetCycleHitPoint;
    }
}